//
//  DetailViewController.swift
//  SVCDemo
//
//  Created by Merlyn on 10/3/14.
//  Copyright (c) 2014 The App Lady. All rights reserved.
//

import UIKit


class DetailViewController: UIViewController {

    @IBOutlet weak var imageView: UIImageView!
    @IBOutlet weak var photoNameLable: UILabel!
    var selectedFlower = []
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        if selectedFlower.count != 0 {
            // Downcast the name optional variable, then assign it in the Label control
            if let name = selectedFlower[0] as? String {
                photoNameLable.text = name
            }
            
            // Downcast the second element in the array, then assign it to the image view control
            if let thumbNail = selectedFlower[1] as? String {
                imageView.image = MasterViewController.getPhotoFromUrl(thumbNail)
            }
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
}
